using System;
using System.Collections.Generic;

using MvcCms.Data;
using MvcCms.Data.Pagination;

namespace MvcCmsSocial.Data
{
    public class DTOMessages : List<DTOMessage>
    {
        private readonly Pagination _pagination;
        public DTOMessages()
        {
            _pagination = new Pagination();
        }
        public Pagination GetPagination
        { 
            get { return _pagination; } 
        }
    }

    [Serializable]
    public class DTOMessage : DTOSocialMessage 
    {
        #region Member Variables

        protected IEnumerable<DTOSocialMessage> _replies;
        protected IEnumerable<SocialLike> _likes;
        #endregion

        #region Constructors

        #endregion

        #region Public Properties

        public IEnumerable<DTOSocialMessage> Replies
        {
            get { return _replies; }
            set { _replies = value; }
        }
        public IEnumerable<SocialLike> Likes
        {
            get { return _likes; }
            set { _likes = value; }
        }
        #endregion
    }
}