using System;
using System.Collections.Generic;

using MvcCms.Data;

namespace MvcCmsWiki.Data
{
    [Serializable]
    public class DTOWikiContent 
    {
        #region Member Variables

        protected int _contentid;
        protected WikiTitle _wikiTitle;
        protected string _source;
        protected string _userName;
        protected string _renderedSource;
        protected int _version;
        protected DateTime _versionDate;
        protected bool _iscurrentVersion;
        
        #endregion

        #region Constructors

        #endregion

        #region Public Properties
        public bool IsCurrentVersion
        {
            get { return _iscurrentVersion; }
            set { _iscurrentVersion = value; }
        }
        public string UserName
        {
            get { return _userName; }
            set { _userName = value; }
        }
        public int ContentID
        {
            get { return _contentid; }
            set { _contentid = value; }
        }
        public WikiTitle WikiTitle
        {
            get { return _wikiTitle; }
            set { _wikiTitle = value; }
        }
        public string Source
        {
            get { return _source; }
            set { _source = value; }
        }
        public string RenderedSource
        {
            get { return _renderedSource; }
            set { _renderedSource = value; }
        }
        public int Version
        {
            get { return _version; }
            set { _version = value; }
        }
        public DateTime VersionDate
        {
            get { return _versionDate; }
            set { _versionDate = value; }
        }
   
        #endregion
    }

}