﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Collections.Specialized;
using MvcCms.Data.Pagination;

namespace MvcCmsOptIn.Data.Entities
{
    public class DtoOptInLists : List<DtoOptInList>
    {
        private readonly DataTablesPagination _pagination;
        public DtoOptInLists()
        {
            _pagination = new DataTablesPagination();
        }
        public DataTablesPagination GetPagination
        {
            get { return _pagination; }
        }
    }

    [Serializable]
    public partial class DtoOptInList
    {
        #region Properties

        public virtual int ListID { get; set; }
        public virtual string ListName { get; set; }
        public virtual int NewsLetterCount { get; set; }
        public virtual int SubscriberCount { get; set; }
        public virtual int PortalID { get; set; }

        #endregion
    }
}
