﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Collections.Specialized;
using MvcCms.Data.Pagination;

namespace MvcCmsOptIn.Data.Entities
{
    public class DtoOptInNewsLetters : List<DtoOptInNewsLetter>
    {
        private readonly DataTablesPagination _pagination;
        public DtoOptInNewsLetters()
        {
            _pagination = new DataTablesPagination();
        }
        public DataTablesPagination GetPagination
        {
            get { return _pagination; }
        }
    }

    [Serializable]
    public partial class DtoOptInNewsLetter
    {
        #region Properties

        public virtual int NewsLetterID { get; set; }
        public virtual string Name { get; set; }
        public virtual int Recipients { get; set; }
        public virtual string Status { get; set; }
        public virtual DateTime? ReleaseDate { get; set; }
        public virtual int PortalID { get; set; }

        #endregion
    }
}
