﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Collections.Specialized;
using MvcCms.Data.Pagination;

namespace MvcCmsOptIn.Data.Entities
{
    public class DtoOptInSubscribers : List<DtoOptInSubscriber>
    {
        private readonly DataTablesPagination _pagination;
        public DtoOptInSubscribers()
        {
            _pagination = new DataTablesPagination();
        }
        public DataTablesPagination GetPagination
        {
            get { return _pagination; }
        }
    }

    [Serializable]
    public partial class DtoOptInSubscriber
    {
        #region Properties

        public virtual int SubscriberID { get; set; }
        public virtual string Name { get; set; }
        public virtual string Email { get; set; }
        public virtual bool DoNotContact { get; set; }
        public virtual string Format { get; set; }

        #endregion
    }
}
