using System;
using Raccoom.Xml;

namespace MvcCms.Service.Entities
{
    [Serializable]
    public class DTORSSItem
    {
        #region Member Variables

        protected string _author;
        protected string _category;
        protected string _comments;
        protected string _description;
        protected string _elapsedtime;
        protected RssEnclosure _enclosure;
        protected RssGuid _guid;
        protected string _link;
        protected DateTime _pubdate;
        protected RssSource _source;
        protected string _title;

        #endregion

        #region Constructors

        #endregion

        #region Public Properties

        public string Author
        {
            get { return _author; }
            set { _author = value; }
        }

        public string Category
        {
            get { return _category; }
            set { _category = value; }
        }

        public string Comments
        {
            get { return _comments; }
            set { _comments = value; }
        }

        public string Description
        {
            get { return _description; }
            set { _description = value; }
        }

        public RssEnclosure Enclosure
        {
            get { return _enclosure; }
            set { _enclosure = value; }
        }

        public RssGuid Guid
        {
            get { return _guid; }
            set { _guid = value; }
        }

        public string Link
        {
            get { return _link; }
            set { _link = value; }
        }

        public DateTime PubDate
        {
            get { return _pubdate; }
            set { _pubdate = value; }
        }

        public RssSource Source
        {
            get { return _source; }
            set { _source = value; }
        }

        public string Title
        {
            get { return _title; }
            set { _title = value; }
        }

        public string ElapsedTime
        {
            get { return _elapsedtime; }
            set { _elapsedtime = value; }
        }

        #endregion
    }
}