using System.Collections.Generic;
using MvcCms.Data;
using MvcCms.Service.Entities;
using MvcCms.Data.Entities;

namespace MvcCms.Service
{
    public interface IMiscService
    {
        DTORowCount GetTableRowCount(string tableName, string socialMessageUserID);
        
        //Misc Methods
        IEnumerable<StateProvince> ListStates();
        IEnumerable<Language> ListLanguages();
        Language GetLanguage(int langId);
        StateProvince GetStateProvince(int stateprovinceId);
        StateProvince GetStateProvince(string code);
        IEnumerable<DTORSSItem> GetRssItems(string rssurl);

        bool CreateLanguage(Language languageToCreate);
        bool EditLanguage(Language languageToEdit);
    }
}