﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Collections;

namespace MvcCms.Service.Models
{
    
    // Parameters received from MvcCmsMobileGrid 
    public class MvcCmsMobileGridRequest
    {
        /// <summary>The page number being requested</summary>
        public int PageNumber { get; set; }
        /// <summary>Number of records to display</summary>
        public int ResultsPerPage { get; set; }   
        /// <summary>The column to search.</summary>
        public string ColumnToSearch { get; set; }          
        /// <summary>Column being sorted on</summary>
        public string ColumnToSortBy { get; set; }
        /// <summary>Direction to be sorted - 'desc' or 'asc'.</summary>
        public string SortOrder { get; set; }
        /// <summary>The search term entered.</summary>
        public string Query { get; set; }

        public MvcCmsMobileGridRequest()
        {

        }
    }
}