<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
    MvcCms ForumCode FAQ
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <table cellspacing="0" border="0" width="200px">
        <tbody>
            <tr>
                <td>
                    <br />
                    <table cellspacing="2" cellpadding="2" border="0">
                        <tbody>
                            <tr>
                                <td align="left">
                                    <a href="/forums">MvcCms Forum Forum Index</a>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                    <table cellspacing="1" cellpadding="3" border="0">
                        <tbody>
                            <tr>
                                <th>
                                    ForumCode Guide
                                </th>
                            </tr>
                            <tr>
                                <td>
                                    <span><b>Introduction</b></span><br />
                                    <span><a href="#0">What is ForumCode?</a></span><br />
                                    <br />
                                    <span><b>Text Formatting</b></span><br />
                                    <span><a href="#1">How to create bold, italic and underlined text</a></span><br />
                                    <span><a href="#2">How to change the text colour or size</a></span><br />
                                    <span><a href="#3">Can I combine formatting tags?</a></span><br />
                                    <br />
                                    <span><b>Quoting and outputting fixed-width text</b></span><br />
                                    <span><a href="#4">Quoting text in replies</a></span><br />
                                    <span><a href="#5">Outputting code or fixed width data</a></span><br />
                                    <br />
                                    <span><b>Generating lists</b></span><br />
                                    <span><a href="#6">Creating an list</a></span><br />
                                    <br />
                                    <span><b>Creating Links</b></span><br />
                                    <span><a href="#8">Linking to another site</a></span><br />
                                    <br />
                                    <span><b>Showing images in posts</b></span><br />
                                    <span><a href="#9">Adding an image to a post</a></span><br />
                                    <br />
                                    <span><b>Other matters</b></span><br />
                                    <span><a href="#10">Can I add my own tags?</a></span><br />
                                    <br />
                                </td>
                            </tr>
                            <tr>
                                <td height="28">
                                </td>
                            </tr>
                        </tbody>
                    </table>
                    <br clear="all" />
                    <table cellspacing="1" cellpadding="3" border="0">
                        <tbody>
                            <tr>
                                <td height="28">
                                    <span class="style1">Introduction</span>
                                </td>
                            </tr>
                            <tr>
                                <td align="left" valign="top">
                                    <span><a name="0" /><b>What is ForumCode?</b></span><br />
                                    <div style="width: 400px">
                                        ForumCode is a special implementation of HTML.&nbsp; ForumCode itself is similar
                                        in style to HTML: tags are enclosed in square braces [ and ] rather than < and >
                                        and it offers greater control over what and how something is displayed.
                                        <br />
                                        <a href="#top">Back to top</a></div>
                                </td>
                            </tr>
                            <tr>
                                <td height="1">
                                    <img height="1" width="1" alt="" src="/Areas/MvcCmsForum/Content/images/spacer.gif" />
                                </td>
                            </tr>
                        </tbody>
                    </table>
                    <br clear="all" />
                    <table cellspacing="1" cellpadding="3" border="0">
                        <tbody>
                            <tr>
                                <td height="28">
                                    <span class="style1">Text Formatting</span>
                                </td>
                            </tr>
                            <tr>
                                <td align="left" valign="top">
                                    <span><a name="1" /><b>How to create bold, italic and underlined text</b></span><br />
                                    <span>ForumCode includes tags to allow you to quickly change the basic style of your
                                        text. This is achieved in the following ways:
                                        <ul>
                                            <li>To make a piece of text bold enclose it in <b>**</b>, eg.
                                                <br />
                                                <br />
                                                <b>*</b>Hello<b>*</b><br />
                                                <br />
                                                will become <b>Hello</b></li><li>For underlining use <b>+ +</b>, for example:<br />
                                                    <br />
                                                    <b>+</b>Good Morning<b>+</b><br />
                                                    <br />
                                                    becomes <u>Good Morning</u></li>
                                            <li>To italicise text use <b>_ _</b>, eg.<br />
                                                <br />
                                                This is <b>_</b>Great!<b>_</b><br />
                                                <br />
                                                would give This is <i>Great!</i></li></ul>
                                        <br />
                                        <a href="#top">Back to top</a></span>
                                </td>
                            </tr>
                            <tr>
                                <td height="1">
                                    <img height="1" width="1" alt="" src="/Areas/MvcCmsForum/Content/images/spacer.gif" />
                                </td>
                            </tr>
                            <tr>
                                <td align="left" valign="top">
                                    <a name="2" /><span><b>How to change the text colour or size</b></span><br />
                                    </a> <span>
                                        <br />
                                        Not yet implemented<br />
                                        <a name="2" />
                                        <br />
                                        <a href="#top">Back to top</a></span>
                                </td>
                            </tr>
                            <tr>
                                <td height="1">
                                    <img height="1" width="1" alt="" src="/Areas/MvcCmsForum/Content/images/spacer.gif" />
                                </td>
                            </tr>
                            <tr>
                                <td align="left" valign="top">
                                    <a name="3" /><span><b>Can I combine formatting tags?</b></span><br />
                                    </a><span>
                                        <br />
                                        <a name="3" />Not yet implemented</a><br />
                                        <a name="3" />
                                        <br />
                                    </span><span><a href="#top">Back to top</a></span>
                                </td>
                            </tr>
                            <tr>
                                <td height="1">
                                    <img height="1" width="1" alt="" src="/Areas/MvcCmsForum/Content/images/spacer.gif" />
                                </td>
                            </tr>
                        </tbody>
                    </table>
                    <br clear="all" />
                    <table cellspacing="1" cellpadding="3" border="0">
                        <tbody>
                            <tr>
                                <td height="28">
                                    <span class="style1">Quoting and outputting fixed-width text</span>
                                </td>
                            </tr>
                            <tr>
                                <td align="left" valign="top">
                                    <a name="4" /><span><b>Quoting text in replies</b></span><br />
                                    </a>
                                    <br />
                                    <span><a name="4" />Not yet implemented </a>
                                        <br />
                                        <a name="4" />
                                        <br />
                                    </span><span><a href="#top">Back to top</a></span>
                                </td>
                            </tr>
                            <tr>
                                <td height="1">
                                    <img height="1" width="1" alt="" src="/Areas/MvcCmsForum/Content/images/spacer.gif" />
                                </td>
                            </tr>
                            <tr>
                                <td align="left" valign="top">
                                    <a name="5" /><span><b>Outputting code or fixed width data</b></span><br />
                                    <span>If you want to output a piece of code or in fact anything that requires a fixed
                                        width with a Courier-type font.</a><br />
                                        <br />
                                        <i>Allows for text to be formatted as code for languages in which syntax highlighting
                                            is not supported.</i><br />
                                        <h5>
                                            Source Markup</h5>
                                        <pre>// multi-line
{{
   public static void Main()
   {
     // code goes here
   }
}}

// single line
{{ single line of text }}
</pre>
                                        <h5>
                                            Rendered Markup</h5>
                                        // multi-line<br />
                                        <pre>   public static void Main()
   {
     // code goes here
   }
</pre>
                                        <br />
                                        <br />
                                        // single line<br />
                                        <span>single line of text </span>
                                        <br />
                                        <br />
                                        <br />
                                        <a href="#top">Back to top</a></span>
                                </td>
                            </tr>
                            <tr>
                                <td height="1">
                                    <img height="1" width="1" alt="" src="/Areas/MvcCmsForum/Content/images/spacer.gif" />
                                </td>
                            </tr>
                        </tbody>
                    </table>
                    <br clear="all" />
                    <table cellspacing="1" cellpadding="3" border="0">
                        <tbody>
                            <tr>
                                <td height="28">
                                    <span class="style1">Generating lists</span>
                                </td>
                            </tr>
                            <tr>
                                <td align="left" valign="top">
                                    <a name="6" /><span><b>Creating an Un-ordered list</b></span><br />
                                    </a><span>
                                        <br />
                                        <i>Allows for the creation of bullted or numbered lists.</i><br />
                                        <h5>
                                            Source Markup</h5>
                                        <pre>* Bulleted List 1
** Bulleted List 2
*** Bulleted List 3

# Numbered List 1
## Numbered List 1.1
### Numbered List 1.1.1
# Numbered List 2
## Numbered List 2.1
</pre>
                                        <br />
                                        <h5>
                                            Rendered Markup</h5>
                                        <ul>
                                            <li>Bulleted List 1
                                                <ul>
                                                    <li>Bulleted List 2
                                                        <ul>
                                                            <li>Bulleted List 3</li>
                                                        </ul>
                                                    </li>
                                                </ul>
                                            </li>
                                        </ul>
                                        <ol>
                                            <li>Numbered List 1
                                                <ol>
                                                    <li>Numbered List 1.1
                                                        <ol>
                                                            <li>Numbered List 1.1.1</li>
                                                        </ol>
                                                    </li>
                                                </ol>
                                            </li>
                                            <li>Numbered List 2
                                                <ol>
                                                    <li>Numbered List 2.1</li>
                                                </ol>
                                            </li>
                                        </ol>
                                        <a name="6" />
                                        <br />
                                    </span><span><a href="#top">Back to top</a></span>
                                </td>
                            </tr>
                            <tr>
                                <td height="1">
                                    <img height="1" width="1" alt="" src="/Areas/MvcCmsForum/Content/images/spacer.gif" />
                                </td>
                            </tr>
                            <tr>
                                <td align="left" valign="top">
                                    &nbsp;
                                </td>
                            </tr>
                            <tr>
                                <td height="1">
                                    <img height="1" width="1" alt="" src="/Areas/MvcCmsForum/Content/images/spacer.gif" />
                                </td>
                            </tr>
                        </tbody>
                    </table>
                    <br clear="all" />
                    <table cellspacing="1" cellpadding="3" border="0">
                        <tbody>
                            <tr>
                                <td height="28">
                                    <span class="style1">Creating Links</span>
                                </td>
                            </tr>
                            <tr>
                                <td align="left" valign="top">
                                    <a name="8" /><span><b>Linking to another site</b></span></a><h5>
                                        Source Markup</h5>
                                    <pre>[url:http://wikiplex.codeplex.com]
[url:WikiPlex|http://wikiplex.codeplex.com]
[url:Email Someone|mailto:someone@someurl.com]
</pre>
                                    <h5>
                                        Rendered Markup</h5>
                                    <a href="http://wikiplex.codeplex.com">http://wikiplex.codeplex.com<span></span></a><br />
                                    <a href="http://wikiplex.codeplex.com">WikiPlex<span></span></a><br />
                                    <a href="mailto:someone@someurl.com">Email Someone<span></span></a><br />
                                    <h2>
                                        File Links</h2>
                                    <i>File links allow you to link to files that will prompt the user to download.</i><br />
                                    <h5>
                                        Source Markup</h5>
                                    <pre>[file:http://wikiplex.codeplex.com/SourceControl/ListDownloadableCommits.aspx#DownloadLatest]
[file:Download Latest Source|http://wikiplex.codeplex.com/SourceControl/ListDownloadableCommits.aspx#DownloadLatest]
</pre>
                                    <br />
                                    <a href="http://wikiplex.codeplex.com/SourceControl/ListDownloadableCommits.aspx#DownloadLatest">
                                        http://wikiplex.codeplex.com/SourceControl/ListDownloadableCommits.aspx#DownloadLatest<span></span></a><br />
                                    <a href="http://wikiplex.codeplex.com/SourceControl/ListDownloadableCommits.aspx#DownloadLatest">
                                        Download Latest Source<span></span></a><br />
                                    <h2>
                                        Anchors</h2>
                                    <i>Anchors are links that allow you to link to certain content via a hashtag.</i><br />
                                    <h5>
                                        Source Markup</h5>
                                    <pre>// create an anchor
{anchor:anchorName}

// link to an anchor
[#anchorName] 
</pre>
                                    <br />
                                    <br />
                                    // create an anchor<br />
                                    <a name="anchorName"></a>
                                    <br />
                                    <br />
                                    // link to an anchor<br />
                                    <a href="http://www.mvccms.com/wiki/links#anchorName">anchorName</a><span><br />
                                        <br />
                                        <a href="#top">Back to top</a></span>
                                </td>
                            </tr>
                            <tr>
                                <td height="1">
                                    <img height="1" width="1" alt="" src="/Areas/MvcCmsForum/Content/images/spacer.gif" />
                                </td>
                            </tr>
                        </tbody>
                    </table>
                    <br clear="all" />
                    <div style="width: 700px; overflow:scroll;">
                        <table cellspacing="1" cellpadding="3" border="0">
                            <tbody>
                                <tr>
                                    <td height="28">
                                        <span class="style1">Showing images in posts</span>
                                    </td>
                                </tr>
                                <tr>
                                    <td align="left" valign="top">
                                        <a name="9" /><span><b>Adding an image to a post</b></span><br />
                                        </a><span>
                                            <br />
                                            <i>Images allow you to link to images hosted elsewhere.</i><br />
                                            <h5>
                                                Source Markup</h5>
                                            <pre>[image:http://download.codeplex.com/Project/Download/FileDownload.aspx?ProjectName=WikiPlex&amp;DownloadId=74720&amp;Build=15321]
[image:WikiPlex Logo|http://download.codeplex.com/Project/Download/FileDownload.aspx?ProjectName=WikiPlex&amp;DownloadId=74720&amp;Build=15321]
</pre>
                                            <br />
                                            <h5>
                                                Rendered Markup</h5>
                                            <img src="http://download.codeplex.com/Project/Download/FileDownload.aspx?ProjectName=WikiPlex&amp;DownloadId=74720&amp;Build=15321" /><br />
                                            <img alt="WikiPlex Logo" src="http://download.codeplex.com/Project/Download/FileDownload.aspx?ProjectName=WikiPlex&amp;DownloadId=74720&amp;Build=15321"
                                                title="WikiPlex Logo" /><br />
                                            <h2>
                                                Hyperlinking Images</h2>
                                            <i>Images can be hyperlinked using the format below.</i><br />
                                            <h5>
                                                Source Markup</h5>
                                            <pre>[image:&lt;Friendly Name&gt;|&lt;image name or link to the image&gt;|&lt;URL pointed to by image&gt;]

For example:

[image:My Image|http://www.domain.com/myimage.jpg|http://www.domain.com]
</pre>
                                            <h5>
                                                Rendered Markup</h5>
                                            <a href="http://wikiplex.codeplex.com/">
                                                <img alt="WikiPlex" src="http://download.codeplex.com/Project/Download/FileDownload.aspx?ProjectName=WikiPlex&amp;DownloadId=74720&amp;Build=15321"
                                                    style="border: medium none;" title="WikiPlex" /></a><br />
                                            <h2>
                                                Wrapped Content</h2>
                                            <i>Images also allow you to wrap content around the left or right side of it.</i><br />
                                            <h5>
                                                Source Markup</h5>
                                            <pre>&lt;[image:http://download.codeplex.com/Project/Download/FileDownload.aspx?ProjectName=WikiPlex&amp;DownloadId=74720&amp;Build=15321] This content will flow around the image on the right hand side.
&gt;[image:http://download.codeplex.com/Project/Download/FileDownload.aspx?ProjectName=WikiPlex&amp;DownloadId=74720&amp;Build=15321] This content will flow around the image on the left hand side.
</pre>
                                            <br />
                                            <h5>
                                                Rendered Markup</h5>
                                            <div style="clear: both;">
                                            </div>
                                            <img src="http://download.codeplex.com/Project/Download/FileDownload.aspx?ProjectName=WikiPlex&amp;DownloadId=74720&amp;Build=15321"
                                                style="float: left; padding-right: 0.5em;" />
                                            This content will flow around the image on the right hand side.<br />
                                            <div style="clear: both;">
                                            </div>
                                            <img src="http://download.codeplex.com/Project/Download/FileDownload.aspx?ProjectName=WikiPlex&amp;DownloadId=74720&amp;Build=15321"
                                                style="float: right; padding-left: 0.5em;" /><br />
                                            <br />
                                            <a href="#top">Back to top</a></span>
                                    </td>
                                </tr>
                                <tr>
                                    <td height="1">
                                        <img height="1" width="1" alt="" src="/Areas/MvcCmsForum/Content/images/spacer.gif" />
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <br clear="all" />
                    <br clear="all" />
                </td>
            </tr>
        </tbody>
    </table>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="HeaderContent" runat="server">
    <style type="text/css">
        .forumline
        {
            width: 51%;
        }
        .style1
        {
            font-weight: bold;
        }
    </style>
</asp:Content>
<asp:Content ID="Content4" ContentPlaceHolderID="SidebarContent" runat="server">
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="ScriptContent" runat="server">
</asp:Content>
