﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" 
Inherits="System.Web.Mvc.ViewPage<MvcCms.Data.Forum>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
    <%=ViewData["PageTitle"]%>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="HeaderContent" runat="server">
    <style type="text/css">
        label.error
        {
            float: none;
            color: red;
            padding-left: .5em;
            vertical-align: top;
        }
    </style>
    <link href="/content/app_themes/<%=ViewData["SkinName"] %>/css/Forum.css" rel="stylesheet" type="text/css" />
</asp:Content>
<asp:Content ID="MainContent" ContentPlaceHolderID="MainContent" runat="server">
    <% if (ViewData.Model != null)
       { %>
    <form method="post" action="<%= Url.Action("RemoveForum", "Forum", new { forumId = ViewData.Model.ForumID }) %>"
    class="forum-remove">
    Are you sure you want to remove this forum?
    <button type="submit" name="remove" value="yes" class="yes">
        yes</button>
    <button type="submit" name="remove" value="no" class="no">
        no</button>
    </form>
    <% }
       else
       {  
    %>
    The forum has been removed.
    
    <%} %>
</asp:Content>
<asp:Content ID="SidebarContent" ContentPlaceHolderID="SidebarContent" runat="server">
    <% Html.RenderPartial("ControlsForum/AdminSidebar"); %>
</asp:Content>
<asp:Content ID="Content4" ContentPlaceHolderID="ScriptContent" runat="server">

    <script src="/Scripts/MvcCms.js" type="text/javascript"></script>
<script type="text/javascript" >
    LoadRecentPosts();
</script>

</asp:Content>