﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using MvcCms.Data;
using System.Web.Mvc;

namespace MvcCmsProjectTracker.ViewModels
{
    public class ProjectCustomFieldViewModel : ViewModelBase
    {
        public int ProjectID { get; set; }
        public List<ProjectCustomField> CustomFields { get; set; }
        public List<SelectListItem> CustomFieldDataTypes { get; set; }

        public ProjectCustomFieldViewModel()
        {
            CustomFieldDataTypes = new List<SelectListItem>();
            CustomFieldDataTypes.Add(new SelectListItem { Text = "String", Value = "0" }); 
            CustomFieldDataTypes.Add(new SelectListItem { Text = "Integer", Value = "1" });
            CustomFieldDataTypes.Add(new SelectListItem { Text = "Decimal", Value = "2" });
            CustomFieldDataTypes.Add(new SelectListItem { Text = "Date", Value = "3" });
        }
    }
}