﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using MvcCms.Data;
using System.Web.Mvc;

namespace MvcCmsProjectTracker.ViewModels
{
    public class TicketCreateViewModel : ViewModelBase
    {
        public Ticket Ticket { get; set; }
        public IEnumerable<User> _AllUsers { get; set; }
        public Guid _CurrentAdminUserID { get; set; }
        public string ProjectName { get; set; }
        public List<ProjectMilestone> ProjectMilestones { get; set; }
        public List<ProjectCategory> ProjectCategories { get; set; }
        public List<ProjectPriority> ProjectPriorities { get; set; }
        public List<ProjectStatus> ProjectStatuses { get; set; }
        public List<ProjectMember> ProjectMembers { get; set; }
    }
}