﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using MvcCms.Data;
using System.Web.Mvc;

namespace MvcCmsProjectTracker.ViewModels
{
    public class TicketEditViewModel : ViewModelBase
    {
        public Ticket Ticket { get; set; }
        public string ProjectName { get; set; }
        public List<ProjectMilestone> ProjectMilestones { get; set; }
        public List<ProjectCategory> ProjectCategories { get; set; }
        public List<ProjectPriority> ProjectPriorities { get; set; }
        public List<ProjectStatus> ProjectStatuses { get; set; }
        public List<ProjectMember> ProjectMembers { get; set; }

        public TicketCommentViewModel TicketCommentViewModel { get; set; }
        public TicketHistoryViewModel TicketHistoryViewModel { get; set; }
        public TicketAttachmentsViewModel TicketAttachmentViewModel { get; set; }
        public TicketNotificationViewModel TicketNotificationViewModel { get; set; }
    }
}