using System.Collections.Generic;
using MvcCms.Data;
using MvcCms.Data.Entities;

using MvcCmsForum.Data;
using MvcCmsSocial.Data;

namespace MvcCmsSocial.Models.ViewData
{
    public class SocialModel
    {
        public Profile _Profile { get; set; }
        public User _User { get; set; }
        public IEnumerable<User> _Users { get; set; }
        public Portal _Portal { get; set; }
        public IEnumerable<SocialImage> _SocialImages { get; set; }
        public SocialData _SocialData { get; set; }
        public IEnumerable<DTOAjaxPost> _Posts { get; set; }
        public IEnumerable<WikiContent> _WikiContents { get; set; }
        public DTOMessages _SocialMessages { get; set; }
        public IEnumerable<ContentComment> _Comments { get; set; }
        
    }

}