﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

using MvcCms.Data;
using MvcCms.Data.Entities;
using System.ComponentModel;
using MvcCms.Store.ViewModels;
using System.IO;

namespace MvcCms.Store.Web.ViewModels
{
    public class DefaultViewModel : Base
    {
        [DisplayName("Category")]
        public int CategoryID { get; set; }

        public FileInfo[] _Files { get; set; }
        public ShoppingCartViewModel _Cart { get; set; }
        public PriceOptionViewModel _PriceOption { get; set; }
        public StoreCategory _Category { get; set; }
        public IEnumerable<StoreProduct> _Products { get; set; }
        public IEnumerable<StorePricingOption> _PriceOptions { get; set; }
        public IEnumerable<StoreCategory> _Categories { get; set; }
        public ProductViewModel _Product { get; set; }
        public PaymentDataCCViewModel _PaymentDataCC { get; set; }
        public PaymentDataACHViewModel _PaymentDataACH { get; set; }
        public OrderViewModel _Order { get; set; }
        public IEnumerable<StoreOrder> _Orders { get; set; }

        public Portal _Portal { get; set; }
    }

}