using System.Collections.Generic;
using MvcCms.Data;
using System.IO;

namespace MvcCms.Web.ViewModels
{
    public class HomeModel
    {
        public ContentPage _ContentPage { get; set; }
        public IEnumerable<DTOContentComment> _ContentComments { get; set; }
        public IEnumerable<ContentPage> _AltLangueVersions { get; set; }
        public Portal _CurrentPortal { get; set; }
        public Widget _Widget { get; set; }
        public FileInfo[] _Files { get; set; }
        public IEnumerable<WeightedContent> _WeightedContentsModuleType { get; set; }
    }
    public class RssRequest
    {
        public string Rssurl { get; set; }
    }
    public class FeedbackRequest
    {
        public string From { get; set; }
        public string To { get; set; }
        public string Body { get; set; }
        public string Subject { get; set; }
    }
    public class SearchRequest
    {
        public string Term { get; set; }
        public string SearchType { get; set; }
    }
}