<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<MvcCms.Data.ContentPage>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
    MvcCms - <%=ViewData["PageTitle"]%>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <div class="contentpage-outerdiv">
        <h2>
            <%=ViewData["PageTitle"]%></h2>
        <span class="field-validation-error">&nbsp;<%= Html.ValidationSummary("Create was unsuccessful. Please correct the errors and try again.") %>
            <%=ViewData["message"].ToString()%>
        </span>
        <div class="left">
            <% using (Html.BeginForm())
               {
            %>
            <fieldset>
                <legend>Fields</legend>
                <p>
                    <label for="Category">
                        Category:</label>
                    <%= Html.DropDownList("CategoryID")%>
                </p>
                <p>
                    <label for="Title">
                        Title:</label>
                    <%= Html.TextBox("Title") %>
                    <%= Html.ValidationMessage("Title", "") %>
                </p>
                <p>
                    <label for="Summary">
                        Summary:</label>
                    <%= Html.TextArea("Summary")%>
                    <%= Html.ValidationMessage("Summary", "") %>
                </p>
                <p>
                    <label for="Body">
                        Body:</label>
                    <%= Html.TextArea("Body")%>
                    <%= Html.ValidationMessage("Body", "") %>
                </p>
                <p>
                    <input type="submit" value="Create" />
                </p>
            </fieldset>
            <% } %>
        </div>
        <div class="right">
            Create the title and summary of your new page here, after you will be taken to the
            rich editor.
        </div>
        <div class="clear">
        </div>
        <div>
            <%=Html.ActionLink("Back to List", "ManageContent")%>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="HeaderContent" runat="server">
</asp:Content>
<asp:Content ID="Content4" ContentPlaceHolderID="ScriptContent" runat="server">
</asp:Content>
