<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<MvcCms.Web.ViewModels.BackOfficeModel>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
    Mvc Cms -
    <%=ViewData["PageTitle"]%>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
<div class="contentpage-outerdiv">
    <span class="field-validation-error">&nbsp;<%= Html.ValidationSummary("Edit was unsuccessful. Please correct the errors and try again.") %>
        <%=ViewData["message"].ToString()%>
    </span>
    <% using (Html.BeginForm())
       {%>
    <fieldset>
        <legend>Edit Content Category</legend>
        <div class="left">
            <table width="100%">
                <tr>
                    <td width="70%">
                        <p>
                            <label for="Title">
                                Title:</label>
                            <%= Html.TextBox("Title", Model._ContentCategory.Title)%>
                            <%= Html.ValidationMessage("Title", "") %>
                        </p>
                        <p>
                            <label for="Description">
                                Description:</label>
                            <%= Html.TextArea("Description", Model._ContentCategory.Description)%>
                            <%= Html.ValidationMessage("Description", "") %>
                        </p>
                        <p>
                            <label for="SubPageHeader">
                                Sub-Page Header:</label>
                            <%= Html.TextArea("SubPageHeader", Model._ContentCategory.SubPageHeader)%>
                            <%= Html.ValidationMessage("SubPageHeader", "")%>
                        </p>
                        <p>
                            <input type="submit" value="Save" />
                        </p>
                    </td>
                </tr>
            </table>
        </div>
        <div class="right">
            For the home category only the Sub-Page Header can be changed.
        </div>
        <div class="clear">
        </div>
    </fieldset>
    <% } %>
    <div>
        <%=Html.ActionLink("Back to List", "ManageContentCategories") %>
    </div>
</div>     
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="HeaderContent" runat="server">
    <style type="text/css">
        .style1
        {
            color: #FF3300;
            font-weight: bold;
            font-size: large;
        }
    </style>
</asp:Content>
<asp:Content ID="Content4" ContentPlaceHolderID="ScriptContent" runat="server">

    <script type="text/javascript">
        
    </script>

</asp:Content>
