<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<IEnumerable<ContentCategory>>" %>
<%@ Import Namespace="MvcCms.Web.Helpers"%>
<%@ Import Namespace="MvcCms.Data"%>
<%
    string className = "";
%>
<%
    foreach (var category in Model)
    {
        //if there is no parent make sure that it is meant to be shown in nav
        if (category.ParentCategory != null || (category.ParentCategory == null && category.ShowInNav))
        {
            if (Html.IsCurrentRoute(category.CategoryID, "", (category.ParentCategory != null)))
            {
                className = "current";
            }
            else
            {
                className = "notcurrent";
            }
%>
    <li class="<%=Html.Encode(className)%>">
    <%=Html.AreaActionLink(category.Title, "Index", category.Path)%>
    <%
            if (category.SubCategories.Count > 0)
            {
    %>
        <ul>
    <%
                Html.RenderPartial("ControlsNav/TopNavControl", category.SubCategories);
    %>
        </ul>
    <%
            }
    %>
    </li>
    <%
        }
    }
    %>
