<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl" %>
<%@ Import Namespace="MvcCms.Web.Helpers"%>
<%@ Import Namespace="MvcCms.Data"%>
<%
    IEnumerable<ContentPage> subpages = Html.ListSubPages();
    if (subpages!=null)
    {%>
<div>
    <div>
        <%
        if (subpages.Count() > 0)
        {
            var title = subpages.ElementAt(0).ContentCategory.Title;
            if (!string.IsNullOrEmpty(subpages.ElementAt(0).ContentCategory.SubPageHeader)) { title = subpages.ElementAt(0).ContentCategory.SubPageHeader; }
            Response.Write("<h2 class='first'>" + title + "</h2>");
        }
%>
    </div>
    <div class="nav-cat">
        <ul class="sidebar-ul">
            <%
        foreach (ContentPage page in subpages)
        {
            if (Html.IsCurrentRoute(page.ContentCategory.CategoryID, page.Path, false))
            {%>
            <li class="current">
                <%=Html.AreaActionLink(page.Title, page.Path, page.ContentCategory.Path)%></li>
            <%
            }
            else
            {%>
            <li>
                <%=Html.AreaActionLink(page.Title, page.Path, page.ContentCategory.Path)%></li>
            <%
            }
        }%>
        </ul>
    </div>
</div>
<%
    }%>
