using System.Collections.Generic;
using MvcCms.Data;
using System;
using MvcCmsWiki.Data;

namespace MvcCmsWiki.Service
{
    public interface IWikiService
    {
        WikiSetting SaveSettings(WikiSetting wikiSettingsToEdit);

        WikiSetting GetSettings();
        DTOWikiContent Get(string slug);
        DTOWikiContent GetByVersion(string slug, int version);
        IEnumerable<WikiContent> GetHistory(Guid userId);
        IEnumerable<DTOWikiContent> GetDTOHistory(string slug, int pageNumber, int resultsPerPage);
        bool Save(string slug, string title, string source, User user, string restrictedToGroups);
    }
}