﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Collections.Specialized;
using MvcCms.Data;
using MvcCms.Data.Pagination;

namespace MvcCmsProjectTracker.Service.Entities
{
    public class DtoIssues : List<DtoIssue>
    {
        private readonly DataTablesPagination _pagination;
        public DtoIssues()
        {
            _pagination = new DataTablesPagination();
        }
        public DataTablesPagination GetPagination
        {
            get { return _pagination; }
        }
    }

    [Serializable]
    public partial class DtoIssue : DtoTrackerIssue
    {
        #region Properties



        #endregion
    }
}
