﻿using System.Collections.Generic;
using System.Linq;

namespace MvcCms.Data.Code
{
    /// <summary>
    /// Return the most basic entity possible
    /// </summary>
    public class ThemeRepository : IThemeRepository
    {
        #region Constructors
        private readonly MvcCmsEntities _entities;
        public ThemeRepository(IEntitiesProvider entitiesProvider)
        {
            _entities = entitiesProvider.GetEntityContext();
        }
        #endregion

        public IEnumerable<Zone> ListZones()
        {
            return (from z in _entities.Zones
                    select z);
        }
    }
}
