using System.Collections.Generic;
using MvcCms.Data.Entities;

namespace MvcCms.Data
{
    public interface IMiscRepository
    {
        DTORowCount GetTableRowCount(string tableName, string socialMessageUserId, int portalId);

        IEnumerable<StateProvince> ListStates();
        IEnumerable<Language> ListLanguages();
        Language GetLanguage(int langid);
        StateProvince GetStateProvince(int stateprovinceId);
        StateProvince GetStateProvince(string code);

        Language CreateLanguage(Language languageToCreate);
        Language EditLanguage(Language languageToEdit);
    }
}