﻿using System;
using System.Collections.Generic;
using MvcCms.Data;
namespace MvcCms.Data.Service
{
    public interface IStoreRepository
    {
        IEnumerable<StoreShippingMethodRate> ListShippingMethodRates();
        StorePricingOption EditPriceOption(StorePricingOption pricingOptionToEdit);
        void CreatePriceOption(StorePricingOption priceOptionToCreate);
        IEnumerable<StorePricingOption> ListPriceOptions();
        void DeleteCart(StoreCart cartToDelete);
        IEnumerable<StoreOrder> ListOrders();
        void CreateCart(StoreCart cartToCreate);
        IEnumerable<StoreCategory> ListCategories();
        void CreateProduct(StoreProduct productToCreate);
        void CreateOrder(StoreOrder orderToCreate);
        IEnumerable<StoreCart> ListStoreCartItems();
        IEnumerable<StoreProduct> ListProducts();
        StoreProduct EditProduct(StoreProduct productToEdit);
        StoreCart EditCart(StoreCart cartToEdit);
    }
}
