﻿using System;
using System.Web;
using System.Web.Configuration;
using System.Security.Cryptography;

namespace MvcCms.Service.Code.Encryption
{
    public static class MvcCmsEncryption
    {
        public static string Decrypt(string value)
        {
            if (string.IsNullOrEmpty(value)) { return null; }
            try
            {
                byte[] encrypted = MachineKeyWrapper.HexStringToByteArray(value);
                if (encrypted == null) return null;
                // i wonder if this is the most intuitive situation here...
                //the above method will return null if it cant "DeHex" the string...
                byte[] decrypted = MachineKeyWrapper.EncryptOrDecryptData(false, encrypted, null, 0, encrypted.Length);

                return System.Text.Encoding.Unicode.GetString(decrypted);
            }
            catch (Exception ex)
            {
                throw new HttpException("Unable to Decrypt.", ex);
            }
        }

        public static string Encrypt(string value)
        {
            try
            {
                byte[] data = System.Text.Encoding.Unicode.GetBytes(value);
                byte[] encData = MachineKeyWrapper.EncryptOrDecryptData(true, data, null, 0, data.Length);

                return MachineKeyWrapper.ByteArrayToHexString(encData, encData.Length);
            }
            catch (Exception ex)
            {
                throw new HttpException("Unable to encrypt.", ex);
            }
        }



    }
}
