﻿using System.Collections.Specialized;
using NUnit.Framework;
using System;

namespace pgProvider.Tests.RoleProvider
{
    [TestFixture]
    public class Functionality
    {
        #region Setup
        private pgRoleProvider provider;
        private NameValueCollection config;

        [TestFixtureSetUp]
        public void Setup()
        {
            provider = new pgRoleProvider();
            config = new NameValueCollection();
            config.Add("connectionStringName", "pgProvider");
        }

        public void Initialize()
        {
            provider.Initialize("pgRoleProvider", config);
        }

        [Test]
        public void RoleNameCannotHaveCommas()
        {
            Initialize();
            var isInRole = provider.IsUserInRole("bob@site.net", "therole");

        }

        #endregion

    }


}
