﻿
$(".post .toggle-body").click(function() {
	$(this).next(".body").slideToggle("normal");

	return false;
});

$(".post .admin .close").click(function() {
	var postId = $(this).attr("meta:id");

	$.post(
		"/mvccmsforum/closepost",
		{ postId: postId, closed: true },
		function(data) {
			$("#post-" + data.object.postId)
				.fadeOut("normal", function() {
					var title = $(this).find("h3");
					title.text(title.text() + " [closed]");
					$(".admin .close", this).remove();
				})
				.fadeIn("normal");
		},
		"json"
	);

	return false;
});

$(".post .admin .approve").click(function() {
	var postId = $(this).attr("meta:id");

	$.post(
		"/mvccmsforum/approvepost",
		{ postId: postId, approved: true },
		function(data) {
			$("#post-" + data.object.postId).fadeOut("normal", function() {
				$(this).remove();
			});
		},
		"json"
	);

	return false;
});

$(".post .admin .remove").click(function() {
	var postId = $(this).attr("meta:id");

	$.post(
		"/mvccmsforum/removepost",
		{ postId: postId },
		function(data) {
		$("#post-" + data.postId).fadeOut("normal", function() {
				$(this).remove();
			});
		},
		"json"
	);

	return false;
});

$(".reply .admin .remove").click(function() {
	var postId = $(this).attr("meta:id");

	$.post(
			"/mvccmsforum/removepost",
			{ postId: postId },
			function(data) {
				$("#reply-" + data.postId).fadeOut("normal", function() {
					$(this).remove();
				});
			},
			"json"
		);

	return false;
});