﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" 
Inherits="System.Web.Mvc.ViewPage<MvcCms.Data.Forum>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
    <%=ViewData["PageTitle"]%>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="HeaderContent" runat="server">
    <style type="text/css">
        label.error
        {
            float: none;
            color: red;
            padding-left: .5em;
            vertical-align: top;
        }
        .style1
        {
            color: #FF3300;
        }
    </style>
    <link href="/content/app_themes/<%=ViewData["SkinName"] %>/css/Forum.css" rel="stylesheet" type="text/css" />
</asp:Content>
<asp:Content ID="MainContent" ContentPlaceHolderID="MainContent" runat="server">
    <div>
        <div class="spacer_top">
        </div>
        <div id="thecontent" class="thecontent">
            <h1>
                <%=ViewData["PageTitle"]%></h1>
            <span class="field-validation-error">&nbsp;<%= Html.ValidationSummary("Create was unsuccessful. Please correct the errors and try again.") %>
                <%=ViewData["message"].ToString()%>
            </span>
            <form method="post" action="<%= Url.Action(this.ViewContext.RouteData.Values["action"] as string, "Forum") %>"
            class="forum-create">
            <p class="field input">
                <label for="title">
                    <span class="style1">*</span> Title</label><br />
                <%= Html.TextBox("title", Model.Title)%>
                <%= Html.ValidationMessage("title", "*")%>
            </p>
            <p class="field input">
                <label for="description">
                    <label for="title">
                        <span class="style1">* </span>
                    </label>
                    Description</label><br />
                <%= Html.TextArea("description", Model.Description)%>
                <%= Html.ValidationMessage("description", "*")%>
            </p>
            <p class="field input">
                <%= Html.CheckBox("moderated", Model.Moderated) %>
                <label for="moderated">
                    Is Forum Moderated?</label>
                <%= Html.ValidationMessage("moderated", "*")%>
            </p>
            <p class="field input">
                <label for="order">
                    <label for="title">
                        <span class="style1">* </span>
                    </label>
                    Order</label><br />
                <%= Html.TextBox("order", Model.Importance) %>
                <%= Html.ValidationMessage("order", "*")%>
            </p>
            <hr />
            <p>
                <button type="submit" id="forum-create-button">
                    Update Forum</button></p>
            <span class="style1">* </span>Required
            </form>
        </div>
    </div>
</asp:Content>
<asp:Content ID="SidebarContent" ContentPlaceHolderID="SidebarContent" runat="server">
    <% Html.RenderPartial("ControlsForum/AdminSidebar"); %>
</asp:Content>
<asp:Content ID="ScriptContent" ContentPlaceHolderID="ScriptContent" runat="server">
    <script src="/Scripts/MvcCms.js" type="text/javascript"></script>
    <script type="text/javascript" src="/Areas/MvcCmsForum/scripts/manage-forums.js"></script>
    <script type="text/javascript">
        LoadRecentPosts();
    </script>
</asp:Content>
