﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="Pager.ascx.cs" 
Inherits="MvcCms.Areas.MvcCmsForum.Views.Shared.ControlsForum.Pager" %>

<div class="pager">
<% if (this.ViewData.Model.TotalItems > this.ViewData.Model.PageSize)
   { %>
	<% if (this.ViewData.Model.PageNumber > 1) { 
	%><a class="cap" href="<%= GetPageUrl(this.ViewData.Model.PageNumber - 1) %>" rel="prev">Previous</a>&nbsp;<%
	 } else { %>	<a class="cap disabled" rel="prev">Previous</a>&nbsp;	<% }

	int middleStart, middleEnd;
	GetStartAndEndPage(out middleStart, out middleEnd);

	if (middleStart > 1) { 
	%><a href="<%= GetPageUrl(1) %>">1</a>&nbsp;<%
	 if (middleStart > 2) { 
	%><span>...</span><% 
	 } }

	for (int i = middleStart; i <= middleEnd; i++) {
		if (ViewData.Model.PageNumber == i) {
	%><a class="selected" rel="self"><%= i%></a>&nbsp;<%
	 } else {
	%><a href="<%= GetPageUrl(i) %>"><%= i.ToString()%></a>&nbsp;<%
		}
	}

    if (middleEnd < ViewData.Model.TotalPages)
    {
        if (middleEnd < ViewData.Model.TotalPages - 1)
        { %>
	<span>...</span>
	<% } 
	%><a href="<%= GetPageUrl(ViewData.Model.TotalPages) %>"><%= ViewData.Model.TotalPages %></a>&nbsp;<%
	 }

    if (this.ViewData.Model.PageNumber < this.ViewData.Model.TotalPages)
    { 
	%><a class="cap" href="<%= GetPageUrl(this.ViewData.Model.PageNumber + 1) %>" rel="next">Next</a>&nbsp;<%
	 } else {
	%><a class="cap disabled" rel="next">Next</a>&nbsp;<%
} } %>
</div>