﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using MvcCms.Data;
using System.Web.Mvc;

namespace MvcCmsProjectTracker.ViewModels
{
    public class BugEditViewModel : ViewModelBase
    {
        public Bug Bug { get; set; }
        public string ProjectName { get; set; }
        public List<Project> AvailableProjects { get; set; }
        public List<ProjectMilestone> ProjectMilestones { get; set; }
        public List<ProjectCategory> ProjectCategories { get; set; }
        public List<ProjectPriority> ProjectPriorities { get; set; }
        public List<ProjectStatus> ProjectStatuses { get; set; }
        public List<ProjectMember> ProjectMembers { get; set; }

        public BugCommentViewModel BugCommentViewModel { get; set; }
        public BugHistoryViewModel BugHistoryViewModel { get; set; }
        public BugAttachmentsViewModel BugAttachmentViewModel { get; set; }
        public BugNotificationViewModel BugNotificationViewModel { get; set; }
    }
}