using System.Collections.Generic;
using MvcCms.Data;
using System.IO;

namespace MvcCms.Web.ViewModels
{
    public class BackOfficeModel
    {
        public IEnumerable<EmailTemplate> _EmailTemplates { get; set; }
        public FileInfo[] _Files { get; set; }
        public IEnumerable<ContentCategory> _ContentCategories { get; set; }
        public ContentCategory _ContentCategory { get; set; }
        public IEnumerable<ContentPage> _ContentPages { get; set; }
        public IEnumerable<DTOContentPageForEditor> _DTOContentPageForEditor { get; set; }
        public ContentPage _ContentPage { get; set; }

        public IEnumerable<Module> _Modules { get; set; }
        public IEnumerable<Widget> _Widgets { get; set; }
        public IEnumerable<WeightedContent> _WeightedContents { get; set; }
        public Module _Module { get; set; }
        public Widget _Widget { get; set; }
        public WeightedContent _WeightedContent { get; set; }

        public IEnumerable<Language> _Languages { get; set; }
        public Language _Language { get; set; }

        public IEnumerable<Portal> _Portals { get; set; }
        public Portal _Portal { get; set; }

        public IEnumerable<PortalResourceType> _PortalResourceTypes { get; set; }
        public PortalResource _PortalResource { get; set; }
        public IEnumerable<Redirect> _Redirects { get; set; }
    }

    public class CategoriesAjax : List<ContentCategory>
    {
        private ContentCategory Ajaxcat { get; set; }
    }

    public class AltLanguageRequest
    {
        public int ParentPageID { get; set; }
        public int LanguageID { get; set; }
    }
}