<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage" %>

<asp:Content ID="Title" ContentPlaceHolderID="TitleContent" runat="server">
   <%=ViewData["SiteName"] %> - <%=ViewData["PageTitle"]%>
</asp:Content>
<asp:Content ID="Content1" ContentPlaceHolderID="MainContent" runat="server">
<div class="contentpage-outerdiv">
    <h2>
        Reset Password</h2>
    <strong class="field-validation-error">
        <%=ViewData["Message"]%></strong>
    <%using (Html.BeginForm())
      {%>
    <table border="0" cellpadding="0" cellspacing="0" >
        <tr>
            <td>
                If you forgot your password, you can use this page to have a new password sent to
                you by e-mail.
            </td>
        </tr>
        <tr>
            <td>
                <br />
                <div>
                    <%if (ViewData["PasswordQuestion"] == "")
                      { %>
                    Step 1: Enter your username.</div>
                <%}
                      else
                      { %>
                Step 2: Answer your password question.
                <%} %>
                <table cellpadding="2">
                    <%if (ViewData["PasswordQuestion"] == "")
                      { %>
                    <tr>
                        <td >
                            <label for="txtUserName">
                                UserName:</label>
                        </td>
                        <td >
                            <input id="txtUserName" name="txtUserName" />
                        </td>
                    </tr>
                    <%}
                      if (ViewData["PasswordQuestion"] != "")
                      { %>
                    <tr>
                        <td colspan="2">
                            <label for="txtUserName">
                                Password Question:<%=ViewData["PasswordQuestion"] %></label>
                            <br />
                            <br />
                            Answer:
                            <input id="txtpasswordanswer" name="txtpasswordanswer" />
                        </td>
                    </tr>
                    <%} %>
                    <tr>
                        <td colspan="2">
                            <input id="cmdSubmit" name="cmdSubmit" type="submit" value="Submit" />
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
    <%if (ViewData["PasswordQuestion"] != ""){%>
        <%=Html.Hidden("txtUserName", ViewData["UserName"])%>
    <%}%>    
    <%} %>  
</div>      
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="HeaderContent" runat="server">
    <style type="text/css">
        td
        {
            vertical-align: top;
        }
        td.fieldname
        {
            text-align: right;
            font-size: 10px;
            font-weight: bold;
        }
        .style3
        {
            font-weight: bold;
            font-size: 14px;
            color: #0252B6;
        }
        .style4
        {
            font-weight: bold;
            padding-bottom: 4px;
        }
    </style>
</asp:Content>
<asp:Content ID="Content4" ContentPlaceHolderID="ScriptContent" runat="server">
</asp:Content>
