<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" 
Inherits="System.Web.Mvc.ViewPage<MvcCms.Data.Portal>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
    Mvc Cms -
    <%=ViewData["PageTitle"]%>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="HeaderContent" runat="server">
    <style type="text/css">
        label.error
        {
            float: none;
            color: red;
            padding-left: .5em;
            vertical-align: top;
        }
    </style>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <div class="contentpage-outerdiv">
        <h2>
            <%=ViewData["PageTitle"]%></h2>
        <span class="field-validation-error">&nbsp;<%= Html.ValidationSummary("Create was unsuccessful. Please correct the errors and try again.") %>
            <%=ViewData["message"].ToString()%>
        </span>
        <% using (Html.BeginForm("CreatePortal", "BackOffice", FormMethod.Post, new { id = "form1" }))
           {%>
        <fieldset>
            <legend>Portal Info</legend>
            <div>
                <p>
                    <label for="Title">
                        Name:</label>
                    <%= Html.TextBox("Name", "", new { @class = "required" })%>
                    <%= Html.ValidationMessage("Name", "")%>
                </p>
                <p>
                    <label for="Title">
                        Display Name:</label>
                    <%= Html.TextBox("DisplayName", "", new { @class = "required" })%>
                    <%= Html.ValidationMessage("DisplayName", "")%>
                </p>
                <p>
                    <label for="Title">
                        Skin Name:</label>
                    <%= Html.TextBox("SkinName", "", new { @class = "required" })%>
                    <%= Html.ValidationMessage("SkinName", "")%>
                </p>
                <p>
                    <label for="Title">
                        Url Authority:</label>
                    <%= Html.TextBox("URLAuthority", "", new { @class = "required" })%>
                    <%= Html.ValidationMessage("URLAuthority", "")%>
                </p>
                <p>
                    <label for="AdminEmail">
                        Admin Email:</label>
                    <%= Html.TextBox("AdminEmail", "", new { @class = "required" })%>
                    <%= Html.ValidationMessage("AdminEmail", "")%>
                </p>
                <p>
                    <label for="UseFullText">
                        Use Full Text:</label>
                    <%= Html.CheckBox("UseFullText")%>
                    <%= Html.ValidationMessage("UseFullText", "")%>
                </p>
                <p>
                    <label for="UseFullText">
                        Timezone Offset:</label>
                    <%= Html.CheckBox("TimezoneOffset")%>
                    <%= Html.ValidationMessage("TimezoneOffset", "")%>
                </p>
                <p>
                    <label for="UseFullText">
                        Uses Razor Theme:</label>
                    <%= Html.CheckBox("IsRazor")%>
                    <%= Html.ValidationMessage("IsRazor", "")%>
                </p>
                <p>
                    <label for="language">
                        Default Language</label>
                    <%= Html.DropDownList("languageid")%>
                    <%= Html.ValidationMessage("languageid")%>
                </p>
                <p>
                    <label for="Title">
                        Uses Wiki For CMS:</label>
                    <%= Html.CheckBox("UsesWikiForCMS")%>
                    <%= Html.ValidationMessage("UsesWikiForCMS", "")%>
                </p>
                <p>
                    <label for="Title">
                        Allow Page Wiki Html Switch:</label>
                    <%= Html.CheckBox("AllowPageWikiHtmlSwitch")%>
                    <%= Html.ValidationMessage("AllowPageWikiHtmlSwitch", "")%>
                </p>
                <p>
                    <label for="Title">
                        Allow OpenId Registration:</label>
                    <%= Html.CheckBox("AllowOpenIdRegistration")%>
                    <%= Html.ValidationMessage("AllowOpenIdRegistration", "")%>
                </p>
                <p>
                    <input type="submit" value="Save" />
                </p>
            </div>
        </fieldset>
        <% } %>
        <div>
            <%=Html.ActionLink("Back to List", "ManagePortals") %>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content4" ContentPlaceHolderID="ScriptContent" runat="server">

    <script src="../../Scripts/jquery.validate.min.js" type="text/javascript"></script>

    <script type="text/javascript">
        $("#form1").validate({
            submitHandler: function(form) {
                form.submit();
            }
        });
        
    
    
    </script>

</asp:Content>
