<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<MvcCms.Web.ViewModels.BackOfficeModel>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
    MvcCms -
    <%=ViewData["PageTitle"]%>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="HeaderContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <div class="contentpage-outerdiv">
        <h2>
            <%=ViewData["PageTitle"]%></h2>
        <span class="field-validation-error">&nbsp;<%= Html.ValidationSummary("Edit was unsuccessful. Please correct the errors and try again.") %>
            <%=ViewData["message"].ToString()%></span>
        <table width="100%" border="0" cellpadding="0" cellspacing="0" class="data-table">
            <tr>
                <th>
                    &nbsp;
                </th>
                <th>
                    Name
                </th>
                <th>
                    Icon Name
                </th>
               <th>
                </th>                
               <th>PathID
                </th> 
            </tr>
            <% 
                foreach (var item in Model._Languages)
                { %>
            <tr>
                <td>
                    <%= Html.ActionLink("Edit", "EditLanguage", new { id=item.LanguageID }) %>
                </td>
                <td>
                    <%= Html.Encode(item.LanguageName) %>
                </td>
                <td>
                    <%= Html.Encode(item.IconName) %>
                </td>
                <td>
                    <img src="/content/images/languages/<%= Html.Encode(item.IconName) %>" />
                </td> 
                <td>
                    <%= Html.Encode(item.PathID) %>
                </td>                               
            </tr>
            <% } %>
        </table>
    </div>
</asp:Content>
<asp:Content ID="Content4" ContentPlaceHolderID="ScriptContent" runat="server">

    <script type="text/javascript">
    function DeletePortal(portalid) {
        if(confirm("Are you sure you want to delete this portal?")){
            window.location.href = "manageportals/"+catid;
        }
    }
    </script>

</asp:Content>
